TarConstants (Apache Ant API)
Keywords: org.apache.tools.tar.TarConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.tar
Interface TarConstants

All Known Implementing Classes:
  TarEntry

    public interface TarConstants

This interface contains all the definitions used in the package.

Field Summary
`static int` | `CHKSUMLEN` The length of the checksum field in a header buffer.
`static int` | `DEVLEN` The length of the devices field in a header buffer.
`static int` | `GIDLEN` The length of the group id field in a header buffer.
`static int` | `GNAMELEN` The length of the group name field in a header buffer.
`static java.lang.String` | `GNU_LONGLINK` The namr of the GNU tar entry which contains a long name.
`static java.lang.String` | `GNU_TMAGIC` The magic tag representing a GNU tar archive.
`static byte` | `LF_BLK` Block device file type.
`static byte` | `LF_CHR` Character device file type.
`static byte` | `LF_CONTIG` Contiguous file type.
`static byte` | `LF_DIR` Directory file type.
`static byte` | `LF_FIFO` FIFO (pipe) file type.
`static byte` | `LF_GNUTYPE_LONGNAME` Identifies the *next* file on the tape as having a long name.
`static byte` | `LF_LINK` Link file type.
`static byte` | `LF_NORMAL` Normal file type.
`static byte` | `LF_OLDNORM` LF_ constants represent the "link flag" of an entry, or more commonly, the "entry type".
`static byte` | `LF_SYMLINK` Symbolic link file type.
`static int` | `MAGICLEN` The length of the magic field in a header buffer.
`static long` | `MAXSIZE` The maximum size of a file in a tar archive (That's 11 sevens, octal).
`static int` | `MODELEN` The length of the mode field in a header buffer.
`static int` | `MODTIMELEN` The length of the modification time field in a header buffer.
`static int` | `NAMELEN` The length of the name field in a header buffer.
`static int` | `SIZELEN` The length of the size field in a header buffer.
`static java.lang.String` | `TMAGIC` The magic tag representing a POSIX tar archive.
`static int` | `UIDLEN` The length of the user id field in a header buffer.
`static int` | `UNAMELEN` The length of the user name field in a header buffer.

Field Detail

### NAMELEN

    static final int NAMELEN

  The length of the name field in a header buffer.

  See Also:
    Constant Field Values

### MODELEN

    static final int MODELEN

  The length of the mode field in a header buffer.

  See Also:
    Constant Field Values

### UIDLEN

    static final int UIDLEN

  The length of the user id field in a header buffer.

  See Also:
    Constant Field Values

### GIDLEN

    static final int GIDLEN

  The length of the group id field in a header buffer.

  See Also:
    Constant Field Values

### CHKSUMLEN

    static final int CHKSUMLEN

  The length of the checksum field in a header buffer.

  See Also:
    Constant Field Values

### SIZELEN

    static final int SIZELEN

  The length of the size field in a header buffer.

  See Also:
    Constant Field Values

### MAXSIZE

    static final long MAXSIZE

  The maximum size of a file in a tar archive (That's 11 sevens, octal).

  See Also:
    Constant Field Values

### MAGICLEN

    static final int MAGICLEN

  The length of the magic field in a header buffer.

  See Also:
    Constant Field Values

### MODTIMELEN

    static final int MODTIMELEN

  The length of the modification time field in a header buffer.

  See Also:
    Constant Field Values

### UNAMELEN

    static final int UNAMELEN

  The length of the user name field in a header buffer.

  See Also:
    Constant Field Values

### GNAMELEN

    static final int GNAMELEN

  The length of the group name field in a header buffer.

  See Also:
    Constant Field Values

### DEVLEN

    static final int DEVLEN

  The length of the devices field in a header buffer.

  See Also:
    Constant Field Values

### LF_OLDNORM

    static final byte LF_OLDNORM

  LF_ constants represent the "link flag" of an entry, or more commonly, the "entry type". This is the "old way" of indicating a normal file.

  See Also:
    Constant Field Values

### LF_NORMAL

    static final byte LF_NORMAL

  Normal file type.

  See Also:
    Constant Field Values

### LF_LINK

    static final byte LF_LINK

  Link file type.

  See Also:
    Constant Field Values

### LF_SYMLINK

    static final byte LF_SYMLINK

  Symbolic link file type.

  See Also:
    Constant Field Values

### LF_CHR

    static final byte LF_CHR

  Character device file type.

  See Also:
    Constant Field Values

### LF_BLK

    static final byte LF_BLK

  Block device file type.

  See Also:
    Constant Field Values

### LF_DIR

    static final byte LF_DIR

  Directory file type.

  See Also:
    Constant Field Values

### LF_FIFO

    static final byte LF_FIFO

  FIFO (pipe) file type.

  See Also:
    Constant Field Values

### LF_CONTIG

    static final byte LF_CONTIG

  Contiguous file type.

  See Also:
    Constant Field Values

### TMAGIC

    static final java.lang.String TMAGIC

  The magic tag representing a POSIX tar archive.

  See Also:
    Constant Field Values

### GNU_TMAGIC

    static final java.lang.String GNU_TMAGIC

  The magic tag representing a GNU tar archive.

  See Also:
    Constant Field Values

### GNU_LONGLINK

    static final java.lang.String GNU_LONGLINK

  The namr of the GNU tar entry which contains a long name.

  See Also:
    Constant Field Values

### LF_GNUTYPE_LONGNAME

    static final byte LF_GNUTYPE_LONGNAME

  Identifies the *next* file on the tape as having a long name.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD